#
# spec file for package vtcl
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           vtcl
Version:        1.6.1a1
Release:        196.16
Summary:        Visual Tcl
License:        GPL-2.0+
Group:          Development/Languages/Tcl
Url:            http://vtcl.sourceforge.net
Source:         http://sourceforge.net/projects/vtcl/files/%name-%version.tar.bz2
Source1:        vtcl
Patch0:         vtcl-tkversion.patch
Patch1:         vtcl-browser.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
Requires:       tcl
Requires:       tix
Requires:       tk
Requires:       xdg-utils

%description
Visual Tcl is a freely-available, high-quality application development
environment for UNIX, Windows, and Macintosh platforms. Writing
entirely in Tcl and generating pure Tcl should make porting either
unnecessary or trivial.



Authors:
--------
    Stewart Allen <stewart@neuron.com>

%prep
%setup -q
%patch0
%patch1

%build
#
# There is nothing to build here :)
#

%install
  LIBDIR=$RPM_BUILD_ROOT/usr/share/vtcl
  BINDIR=$RPM_BUILD_ROOT%_bindir
  mkdir -p $BINDIR $LIBDIR
  cp -a *.tcl images lib $LIBDIR
  install -m 755 %SOURCE1 $BINDIR

  # avoid rpmlint errors.
  ls
  mv sample examples
  ln -s examples sample
  ls

%files
%defattr(-,root,root)
%_datadir/vtcl
%_bindir/vtcl
%doc LICENSE ChangeLog README doc demo sample examples

%changelog
* Wed Oct  8 2014 jengelh@inai.de
- Remove old specfile tags and sections. Use implicit attributes.
* Wed May 25 2011 max@novell.com
- Fix build
- Package cleanup
* Wed Nov 17 2010 max@suse.de
- Fix strict version requirement for Tk (bnc#654115).
* Mon Nov  1 2010 jw@novell.com
- New version: 1.6.1a1
- moved samle to examples to silence rpmlint errors,
  update may fail, due to rpm bugs: use rpm -e before updating.
- vtcl stopped working with tcl 8.5.1
  Hack alert: removed -exact from package require in tkcon.tcl
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Feb  5 2004 max@suse.de
- New version: 1.6.0
- Building as a non-root user.
* Tue Sep 17 2002 ro@suse.de
- removed bogus self-provides
* Wed Sep  5 2001 max@suse.de
- New version: 1.5.2
  - revamped user interface
  - rewritten bindings editor
  - rewritten menu editor
  - new widget description system
  - easier insertion of widgets
  - multiple file projects support
  - inline images
  - options can be saved or not on a widget basis
  - support for namespaces in proc editor
  - font and image code included in project only when needed
- Using BuildRoot
- As this package is script only, I moved it's files to
  /usr/share/vtcl and changed it to be noarch.
- bzip2 the sources
* Tue Apr 10 2001 ro@suse.de
- added group tag
* Fri Nov  5 1999 max@suse.de
- changed wish's location to /usr/bin
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Nov 25 1998 max@suse.de
- new version 1.2.0
- created patch for variables window in main menu
* Fri Oct 17 1997 hf@suse.de
  ready for autobuild
* Thu Jun  5 1997 hf@suse.de
  A new package vtcl.
  Visual Tcl is a freely-available, high-quality application development
  environment for UNIX. Written entirely in Tcl and generating pure Tcl
  should make porting either unnecessary or trivial.
